Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 239068 - repoman should warn if there is an econf call in eapi2_src_compile
Summary: repoman should warn if there is an econf call in eapi2_src_compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 210077 288499
  Show dependency tree
 
Reported: 2008-09-29 18:40 UTC by Alexis Ballier
Modified: 2009-10-11 00:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Ballier gentoo-dev 2008-09-29 18:40:30 UTC
After seeing double econfs or, worse, build failures when converting ebuilds to eapi-2 with the new src_configure phase, I think it could be a good idea to display warnings if there is an econf call in eapi2_src_compile.
However, I must admit I have absolutely no clue on how to do this :(
Comment 1 Alec Warner archtester gentoo-dev Security 2008-09-30 04:00:57 UTC
(In reply to comment #0)
> After seeing double econfs or, worse, build failures when converting ebuilds to
> eapi-2 with the new src_configure phase, I think it could be a good idea to
> display warnings if there is an econf call in eapi2_src_compile.
> However, I must admit I have absolutely no clue on how to do this :(
> 

A global in econf that only lets you call it once if EAPI=2 is supported?  Messy...
Comment 2 Zac Medico gentoo-dev 2008-10-01 20:32:44 UTC
First we need to know how likely it is that ebuilds will migrate to EAPI 2 without also splitting out src_configure from src_compile.

In svn r11603 there's a related eqawarn message:

	! hasq "$EAPI" 0 1 && [[ $EBUILD_PHASE = compile && \
		$(type -t src_configure) = function ]] && \
		eqawarn "econf called in src_compile instead of src_configure"
Comment 3 Zac Medico gentoo-dev 2009-06-28 08:26:19 UTC
There's a new SrcCompileEconf check by Markus Meier <maekke@gentoo.org> in svn r13717.
Comment 4 Zac Medico gentoo-dev 2009-10-11 00:45:20 UTC
This is fixed in 2.1.7.